import(Module_Map)
import(Module_Defines)
import(Module_DataTypes)
import(Module_Table)
import(Module_Objects)
import(Module_Globals)
import(Module_Commands)
import(Module_Players)
import(Module_System)
import(Module_Defines)
import(Module_Objects)
import(Module_Game)
import(Module_Globals)
import(Module_DataTypes)
import(Module_Helpers)
import(Module_Draw)

AlphaIndex = {4,0,5,3,12,13,14,1}

function OnCreateThing(t)
  if (t.Type == T_SHOT) then
    if (t.Model == M_SHOT_SUPER_WARRIOR) then
      t.DrawInfo.Alpha = AlphaIndex[t.Owner+1]
      t.DrawInfo.DrawNum = 1731
    end
  end
end


local ReincPos = {
  MAP_XZ_2_WORLD_XYZ(76, 252),
  MAP_XZ_2_WORLD_XYZ(68, 64),
  MAP_XZ_2_WORLD_XYZ(254, 72),
  MAP_XZ_2_WORLD_XYZ(174, 254),
  MAP_XZ_2_WORLD_XYZ(182, 184),
  MAP_XZ_2_WORLD_XYZ(250, 176)
}

local teamOne = {}
local teamTwo = {}

for i,k in ipairs(ReincPos) do
  local me = world_coord3d_to_map_ptr(k)
  me.MapWhoList:processList(function(t)
    if (t.Type == T_PERSON) then
      if (t.Model == M_PERSON_MEDICINE_MAN) then
        if (i <= 3) then
          table.insert(teamOne, t.Owner)
        else
          table.insert(teamTwo, t.Owner)
        end
      end
    end
    return true
  end)
end


for i, v in ipairs(teamOne) do
    for k, t in ipairs(teamOne) do
        set_players_allied(v, t)
    end
end

for i, v in ipairs(teamTwo) do
    for k, t in ipairs(teamTwo) do
        set_players_allied(v, t)
    end
end