import(Module_System)
import(Module_Players)
import(Module_Defines)
import(Module_PopScript)
import(Module_Game)
import(Module_Objects)
import(Module_Map)
import(Module_Person)
import(Module_Level)
import(Module_Globals)
include("UtilRefs.lua")
include("LibSpellsRali.lua")
include("allies9.lua")

local ReincPos = {
	MAP_XZ_2_WORLD_XYZ(252, 62), --BLUE SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(10, 8), --RED SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(178, 4), --YELLOW SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(88, 60), --GREEN SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(20, 124), --CYAN SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(10, 186), --PINK SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(92, 186), --BLACK SHAMAN REINCARNATION
	MAP_XZ_2_WORLD_XYZ(174, 130) --ORANGE SHAMAN REINCARNATION
}

local initialised = 0

function OnTurn()
	if (GetTurn() > 2 and initialised == 0) then
		for i, k in ipairs(ReincPos) do
			local me = world_coord3d_to_map_ptr(k)
			me.MapWhoList:processList(function(t)
				if (t.Type == T_PERSON) then
					if (t.Model == M_PERSON_MEDICINE_MAN) then

						if (i == 1) then --BLUE
							EnableSpell(t.Owner, M_SPELL_LAND_BRIDGE)
							DisableSpellCharging(t.Owner, M_SPELL_LAND_BRIDGE)
							EnableSpell(t.Owner, M_SPELL_LIGHTNING_BOLT)
							DisableSpellCharging(t.Owner, M_SPELL_LIGHTNING_BOLT)
							EnableSpell(t.Owner, M_SPELL_FIRESTORM)
							DisableSpellCharging(t.Owner, M_SPELL_FIRESTORM)
						end

						if (i == 2) then --RED
							EnableSpell(t.Owner, M_SPELL_WHIRLWIND)
							DisableSpellCharging(t.Owner, M_SPELL_WHIRLWIND)
							EnableSpell(t.Owner, M_SPELL_LIGHTNING_BOLT)
							DisableSpellCharging(t.Owner, M_SPELL_LIGHTNING_BOLT)
							EnableSpell(t.Owner, M_SPELL_VOLCANO)
							DisableSpellCharging(t.Owner, M_SPELL_VOLCANO)
						end

						if (i == 3) then --YELLOW
							EnableSpell(t.Owner, M_SPELL_LAND_BRIDGE)
							DisableSpellCharging(t.Owner, M_SPELL_LAND_BRIDGE)
							EnableSpell(t.Owner, M_SPELL_LIGHTNING_BOLT)
							DisableSpellCharging(t.Owner, M_SPELL_LIGHTNING_BOLT)
							EnableSpell(t.Owner, M_SPELL_EROSION)
							DisableSpellCharging(t.Owner, M_SPELL_EROSION)
						end

						if (i == 4) then --GREEN
							EnableSpell(t.Owner, M_SPELL_EROSION)
							DisableSpellCharging(t.Owner, M_SPELL_EROSION)
							EnableSpell(t.Owner, M_SPELL_EARTHQUAKE)
							DisableSpellCharging(t.Owner, M_SPELL_EARTHQUAKE)
							EnableSpell(t.Owner, M_SPELL_FLATTEN)
							DisableSpellCharging(t.Owner, M_SPELL_FLATTEN)
						end

						if (i == 5) then --CYAN
							EnableSpell(t.Owner, M_SPELL_LAND_BRIDGE)
							DisableSpellCharging(t.Owner, M_SPELL_LAND_BRIDGE)
							EnableSpell(t.Owner, M_SPELL_LIGHTNING_BOLT)
							DisableSpellCharging(t.Owner, M_SPELL_LIGHTNING_BOLT)
							EnableSpell(t.Owner, M_SPELL_FIRESTORM)
							DisableSpellCharging(t.Owner, M_SPELL_FIRESTORM)
						end

						if (i == 6) then --PINK
							EnableSpell(t.Owner, M_SPELL_WHIRLWIND)
							DisableSpellCharging(t.Owner, M_SPELL_WHIRLWIND)
							EnableSpell(t.Owner, M_SPELL_LIGHTNING_BOLT)
							DisableSpellCharging(t.Owner, M_SPELL_LIGHTNING_BOLT)
							EnableSpell(t.Owner, M_SPELL_VOLCANO)
							DisableSpellCharging(t.Owner, M_SPELL_VOLCANO)
						end

						if (i == 7) then --BLACK
							EnableSpell(t.Owner, M_SPELL_LAND_BRIDGE)
							DisableSpellCharging(t.Owner, M_SPELL_LAND_BRIDGE)
							EnableSpell(t.Owner, M_SPELL_LIGHTNING_BOLT)
							DisableSpellCharging(t.Owner, M_SPELL_LIGHTNING_BOLT)
							EnableSpell(t.Owner, M_SPELL_EROSION)
							DisableSpellCharging(t.Owner, M_SPELL_EROSION)
						end

						if (i == 8) then --ORANGE
							EnableSpell(t.Owner, M_SPELL_EROSION)
							DisableSpellCharging(t.Owner, M_SPELL_EROSION)
							EnableSpell(t.Owner, M_SPELL_EARTHQUAKE)
							DisableSpellCharging(t.Owner, M_SPELL_EARTHQUAKE)
							EnableSpell(t.Owner, M_SPELL_FLATTEN)
							DisableSpellCharging(t.Owner, M_SPELL_FLATTEN)
						end
					end
				end
				return true
				end)
		end
		initialised = 1
	end
end
