import(Module_Defines)
import(Module_Map)
import(Module_Objects)
import(Module_DataTypes)
import(Module_Game)
import(Module_Table)
import(Module_MapWho)

local positions = {}

function EnableFlag(_f1, _f2)
    if (_f1 & _f2 == 0) then
        _f1 = _f1 | _f2
    end
    return _f1
end

local m = MapPosXZ.new();
local c3d = Coord3D.new();
for z=0,128*2,1 do
    for x=-25,24,1 do
        m.XZ.X = x;
        m.XZ.Z = z;
        table.insert(positions, m.Pos);
    end
end

function OnCreateThing(t)
    if (t.Type == T_SPELL) then
        if (t.Model == M_SPELL_LAND_BRIDGE or 
            t.Model == M_SPELL_FLATTEN or
            t.Model == M_SPELL_VOLCANO) then
            local pos = world_coord3d_to_map_idx(t.Pos.D3);
            for k, v in pairs(positions) do
                if (v == pos) then
                    t.Model = M_SPELL_NONE;
                end
            end
        end
    end
end

log_msg(TRIBE_NEUTRAL, "Backdoor will not work, since it's prevented by a script.");
log_msg(TRIBE_NEUTRAL, "Side stoneheads are firestorm shots with 3 occurences. Gargoyle is chargeable AoD.");